NEWS


  • Guten Morgen zusammen,

    ich habe immer noch das gefühl das mit der latest repo etwas nicht stimmt.

    Zuerst hatte ich diese: http://download.iobroker.net/sources-dist-latest.json
    Hier kam aber regelmäßig der Hinweis das eine leere repo empfangen wurde - OBWOHL wenn man sie im browser aufgerufen hat eine Auflistung geladen wurde. Also war Internet da aber der ioBroker hat sie nicht oder fehlerhaft empfangen.

    Dann habe ich den Hinweis bekommen folgende Repo zu verwenden: http://iobroker.live/repo/sources-dist-latest.json
    Diese scheint auch zu funktionieren - jedoch ahtte ich mit das heute mal genauer angesehen weil ich gefühlt schon ewig keine Updates mehr vorgeschlagen bekommen habe. Bei der Suche bin ich auf #fb-checkpresence# gestoßen. Dieser Adapter hat bei mir Version 0.3.0 und sollte sowohl in der einen als auch der anderen Repo bereits als LATEST 1.0.0 vorliegen, wird mir aber nicht zum Update vorgeschlagen. 0.3.0 scheint die stable Version zu sein.

    Jetzt die Frage. Wenn ich latest repo http://iobroker.live/repo/sources-dist-latest.json verwende und der Adapter nicht zum Update vorgeschlagen wird - ist das normal ?

    Wo sieht man eigentlich welche repo gerade die richtige ist ? In der Neuinstallation werden die Standard repos installiert die ja scheinbar nicht funktionieren ... Wie gesagt, irgendwie kommt mir das eigenartig vor weil z.B @Glasfaser berichtet hat das bei ihm beide Links funktionieren ...

    ODER liegt es evtl an meiner Fritzbox 6591 ? Die habe ich kürzlich neu bekommen, sollte aber genau so eingerichtet sein wie meine 6590. IPV6 ist aus.

    Wenn das verhalten mit fb-checkpresence so richtig ist dann ist alles OK. Ansonsten würde mich interessieren woran das liegen kann ...

    Viele Grüße,
    Marc


  • Bei mir steht schon seit ewig und drei Tagen das drin:

    http://download.iobroker.net/sources-dist-latest.json
    

    Und damit hatte ich bis auf ganz wenige Ausnahmen auch noch nie Probleme in ioBroker.


  • @meicker sagte in Latest repo - funktioniert oder nicht ?:

    Wo sieht man eigentlich welche repo gerade die richtige ist ?

    Hi,

    da würde ich einzig und allein den stable repo als den richtigen ansehen. Wenn man hier im Forum liest, wie viele (vor Allem) Neulinge vor fast unlösbaren Probleme stehen, weil sie auf latest gehen und dann irgendwas nicht mehr passt...

    Also meine Empfehlung und so handhabe ich es (als Nicht-Neuling!) seit langer Zeit:
    Repo auf stable und da aktualisieren, wenn was angeboten wird. Nur dort, wo es nötig ist, weil die stable-Version Probleme macht oder ein Feature fehlt manuell von Guthub holen. Dazu ist kein Umstellen auf latest nötig, wie man auch immer wieder liest. So, und nur so, würde ich es jedem empfehlen, der iobroker-Anwender und nicht Developer ist bzw. zumindest, wenn die iobroker-Installation nicht zum testen läuft, sondern produktiv ist und das ganze Haus steuert.

    Gruss, Jürgen


  • Die hatte ich ja auch immer drin und sie scheint auch aktuell zu funktionieren. Jedoch gibt es auch hier Versionsunterschiede

    z.B Alexa Verfügbar 3.0.7 - installiert 3.1.2 - hier bin ich aktueller mit der http://iobroker.live/repo/sources-dist-latest.json

    Werden die alle unterschiedlich gefüttert ? Version 3.0.7 ist von 2019. Steht diese repo auf dem Abstellgleis ? Und gibt es eine Übersicht wo man sehen kann welche aktuell ist ?


  • @Wildbill Hallo Jürgen,
    grundsätzlich hast Du Recht - aber die default wird scheinbar gar nicht gepflegt. Admin 3.47 - wäre ja noch annehmbar. Backitup 0.3.8 ist ja eher beta ... Ich denke die Latest ist schon nicht schlecht. Oder ist die default falsch für Stable ?

    Dann wäre wieder interessant - wo liest man nach welche Repo richtig ist ? Ich kann mir nicht denken das die default die Stable sein soll ... Oder bei mir läuft was nicht richtig ...

    vg
    Marc


  • @meicker
    Also ich habe als default die drin und habe default als Verwahrungsort:
    http://download.iobroker.net/sources-dist.json
    Bei latest, was ich aber nie verwendet habe, steht bei mir schon immer das:
    http://download.iobroker.net/sources-dist-latest.json

    Und ob ich jetzt bei Admin, backitup oder sonst einem Adapter irgendeine alte Version laufen habe ist mir erst einmal zweitrangig. Wichtig ist, dass es problemlos läuft, und das tut es. Parallel hier im Forum mitlesen und schauen, was sich so tut. Und wenn mal eine Version kommt, die etwas hat was ich unbedingt will, oder eine alte Version bei mir Probleme macht, dann einfach neue Version von Github (über die Katze) holen und gut. Hatte nie Probleme und wüsste nicht, warum ich es ändern sollte.
    Es ist im IT-Bereich nicht immer ratsam die aktuellsten Versionen haben zu wollen. Oft ist es sinnvoller nach dem Motto "never change a running system". Wobei das für wichtige (Sicherheits-)Updates nicht zutreffen mag, aber

    • Mein iobroker ist von außen nicht erreichbar, also vermutlich erst einmal safe
    • Ich gehe davon aus, dass es lebenswichtige neue Versionen auch recht schnell ins stable repo schaffen

    Ich bekomme im stable immer wieder mal neue Versionen angezeigt, schaue aber dann jedes Mal, was sich ändert und ob es im Github evtl. eine noch neuere Version gibt, die ich nehmen möchte.
    Kann ich nur jedem für sein produktives System so empfehlen!

    Gruss, Jürgen


  • @Wildbill
    Genau da liegt eben im Moment der Hund begraben. Auf default sind recht viele Adapter, die eben nicht mehr richtig funktionieren. Sollte so nicht sein, ist aber so.
    Ganz im Gegenteil zu dem was Du schreibst, das Neulinge auf latetst Probleme haben, sag ich, es ist genau anderes. Die meisten Probleme die derzeit geschildert werden beruhen auf alten Adaptern aus dem default REPO.
    Ich bin schon eh und je auf latest und kenne die meisten Probleme die hier beschrieben werden nicht und wenn mal ein Adapter aus dem latest tatsächlich ein Bug drin hat, ist das in der Regel in 24 Stunden behoben.

    Dann gabst auch Konflikte, weil ein paar Adapter bereits die Versionen von Anderen Adaptern aus dem latest vorausgesetzt haben, obwohl sie selber noch im default Stand sind. Das sollte aber auch schon wiedrr gerichtet sein und wie geschrieben, ich bin schon immer auf latest und mein IOBroker läuft wie er soll mit 30 Adaptern.

    Es ist im Moment eben weder die eine Aussage noch die andere wirklich 100% treffend und man muss sich das teils selber so biegen wie man es braucht, wobei ich mit meinen Adaptern auf lateste eben keine Probleme habe.

    Den größten Fehler was man aber machen kann, sind Versionen direkt von GIT zu laden, da das offene Versionen sein können und davon wird schon in der Doku dringend abgeraten!


  • @meicker Gelesen, was ich zur Installation von Git geschrieben habe? Wenn eine aktuelle Github-Version ein Problem behebt, welches ich habe, oder eine Funktion bringt, die ich unbedingt will/brauche, dann verwende ich Github-Versionen. Daran würde sich nichts ändern, ob default oder latest-repo. 😊
    Ansonsten bin ich auf stable wirklich immer gut gefahren. Was ich aber hier immer wieder lese sind dann Probleme, wenn man (Neulinge?) kurz mal auf latest stellen soll um eine andere neuere Version zu bekommen und dann andere Adapter auch gleich mal aktualisieren. Der Host ist aber noch irgendein uralter, der nie upgedatet wurde und plötzlich geht dann nix mehr. Oder es wird aus latest alles aktualisiert und nichts geht mehr, weil man noch eine Node /NPM aus Urzeiten am Laufen hat. Ich habe wirlich nichts gegen das latest-repo, und jeder soll das verwenden, was er für richtig hält. Aber jedem bei kleinsten Problemen zu empfehlen erst einmal auf latest zu gehen und upzudaten halte ich für den falschen Weg...

    Gruss, Jürgen


  • @Wildbill
    Muss Dir schon wieder widersprechen 🙂
    Man muss nicht updaten wenn es Probleme gibt, aber das ist nun mal der erste Schritt wenn man ein Problem hat. Wenn das nichts bringt, geht man eben wieder zurück und hakt das als mögliche Ursache ab.

    Bei Github gibts den Warnhinweis auch nicht nur zum Spaß. Wenn der Entwickler auf Git verweist, dann ist das OK, weil eben auch so Betas zum Testen bereitgestellt werden, die selbst für das latest noch nicht freigegeben sind und zur schnelleren Lösung von Problemen sinnvoll sind. Ansonsten sollte man da die Finger weg lassen, wenn man sich nicht wirklich 100% sicher ist was man gerade tut.


  • @Wildbill @Jan1
    Vielen dank für eure Infos. Grundsätzlich habe ich täglich mit Computern zu tun und man muss abwägen was man will. Das mache ich auch. Latest repo ist für mich grundsätzlich OK und ich hatte auch nie wirklich Probleme damit.

    Von GIT nehme ich Abstand und update nur wenn es WIRKLICH SEIN MUSS. Wie z.B der Homepilot20 Adapter den ich anders nicht bekomme.

    Aber die eigentliche Frage gilt immernoch dem Unterschied zur 'alten' und 'neuen' latest. Selbst die sind unterschiedlich - das verwirrt einwenig. Wer legt denn fest welche repo die richtige ist ? Kann jeder Programmierer sich aussuchen welche repo er nimmt und warum wird bei mir fb-checkpresence bei latest noch immer auf 0.3.0 angezeigt wenn latest eigentlich 1.0.0 ist 🙂

    vg Marc


  • @meicker
    Das ist ne gute Frage und wurde leider noch nicht wirklich beantwortet. Ich habe auch beide Links für das latest Repo im Gebrauch und ab und an auch ein Update darüber. Welcher nun der offizielle ist und warum die sich vom Inhalt unterscheiden würde mich deshalb auch interessieren.

    Wobei bei Dir was nicht stimmt denn bei mir sieht das so aus:
    3d297bf8-2988-4ad2-8d09-7118e1532bd5-grafik.png

    Und das mit beiden Links für das latest REPO.


  • @Jan1
    Dann müsste man dem Problem mal auf die Spur kommen:

    Bei mir sieht es so aus:
    ba48d5d0-21e7-43fe-82ab-bd05315251e6-grafik.png

    mit dieser: http://iobroker.live/repo/sources-dist-latest.json

    Aber auch mit der http://download.iobroker.net/sources-dist-latest.json kommt nix anderes ...


  • @meicker sagte in Latest repo - funktioniert oder nicht ?:

    http://iobroker.live/repo/sources-dist-latest.json

    Lade mal das Repo neu mit dem zweiten Button oben links

  • Forum Testing Most Active Global Moderator Administrators

    @Jan1 sagte in Latest repo - funktioniert oder nicht ?:

    Lade mal der Repo neu mit dem zweiten Button oben links

    @meicker
    und poste was danach im log kommt


  • Bei dieser Repo: http://download.iobroker.net/sources-dist-latest.json

    kommt das:

    host.ioBroker	2020-04-07 13:50:57.425	warn	warning: empty repo received!
    host.ioBroker	2020-04-07 13:50:57.424	warn	warning: Cannot read "http://download.iobroker.net/sources-dist-latest.json"
    host.ioBroker	2020-04-07 13:50:45.482	info	Update repository "latest" under "http://download.iobroker.net/sources-dist-latest.json"
    

    Bei dieser repo: http://iobroker.live/repo/sources-dist-latest.json

    admin.0	2020-04-07 13:52:59.167	debug	(10713) system.adapter.cloud.1: logging false
    host.ioBroker	2020-04-07 13:52:51.916	info	Update repository "latest-neu" under "http://iobroker.live/repo/sources-dist-latest.json "
    admin.0	2020-04-07 13:51:03.773	debug	(10713) system.adapter.cloud.1: logging true
    

    Wobei ich gerade nicht aus dem lokalen netzwerk zugreife und die Logeintröge von der zweiten repo cloud.1 Fehler zeigen ... Vielleicht sollte ich das später von zu hause aus noch einmal machen ?

    Eventuell haben die Cloud Einträge aber auch NICHTS damit zu tun weil beim zweiten versuch nur

    host.ioBroker	2020-04-07 13:56:02.094	info	Update repository "latest-neu" under "http://iobroker.live/repo/sources-dist-latest.json "
    

    als Ergebnis kam.

  • Forum Testing Most Active Global Moderator Administrators

    @meicker sagte in Latest repo - funktioniert oder nicht ?:

    Bei dieser Repo: http://download.iobroker.net/sources-dist-latest.json
    kommt das:

    ok - so kommt es leider manchmal - "empty repo"

    @meicker sagte in Latest repo - funktioniert oder nicht ?:

    Bei dieser repo: http://iobroker.live/repo/sources-dist-latest.json

    Dir ist aber aufgefallen, dass du das Log nicht vollständig zeigst?
    lediglich einmal host, und zweimal admin - das ist nicht was wir brauchen

    Da sollte noch etwas wie "repo successfully read" oder so kommen


  • @Homoran
    ich finde host.ioBroker nicht bzw. nicht die Stelle wo ich das Log komplett anzeigen lassen könnte ... mehr kommt da im Moment nicht 😞


  • @meicker sagte in Latest repo - funktioniert oder nicht ?:

    .. Wie gesagt, irgendwie kommt mir das eigenartig vor weil z.B @Glasfaser berichtet hat das bei ihm beide Links funktionieren ...

    Nur zur Klärung :

    Das habe ich hier nirgends geschrieben , das beide Links bei mir funktionieren .

    Die Unterhaltung mit @Jan1 in seinem Thread war das bei mir nur der Link http://iobroker.live/repo/sources-dist-latest.json funktioniert und da ich in einem anderen Thread deine Anfrage gesehen habe , habe ich dir diese Url genannt inkl. dem Link zur Diskussion , mehr nicht .

    Ich habe jetzt nicht alles hier durchgelesen..... jeder muss selber wissen was und wie er es macht das er sich auf der Ebene von latest bewegt .

    Weil ... das Gehäule ist hier immer groß da viele nicht wissen was Sie damit machen ,
    aber das hat @Jan1 schon sehr gut erklärt .


  • @Glasfaser
    stimmt 🙂 Dir hatte das jemand geantwortet - habe ich entfernt. Es geht auch nicht darum ob latest gut ist oder nicht. es geht darum das bei mir etwas nicht stimmt. Hast Du eine Idee dazu ?
    vg
    Marc


  • This post is deleted!

Suggested Topics

1.9k
Online

36.8k
Users

42.5k
Topics

588.5k
Posts